修复 XAMPP for Mac WordPress 不能升级的问题

2018-09-30 wordpress经验
  • 文章介绍
  • 快速入门
  • 评价&建议

XAMPP 是我在本地使用的Web 服务器搭建工具。但在Mac系统里,XAMPP 的默认配置有点问题,导致 WordPress 无法在后台自动升级。原因是Apache 所在的用户组没有足够的权限,我们可以通过修改 XAMPP 的 httpd.conf 文件来修复这个问题。

如果你需要经常使用终端进行本地操作的话,推荐安装一个Mac App:Go2Shell,只要把Go2Shell 的图标拉到 Finder 窗口的工具栏上,Go2Shell 就会自动打开终端,并且把位置定位到 Finder 当前打开的目录。

嗯,总之是打开终端,定位到 xampp/etc 目录,然后输入:

sudo vi httpd.conf

运行上面的命令以后会要求输入 root 账户密码,密码正确的话会打开 vi。找到下面两行:

User nobody

Group nobody

先按一下 i 键切换到 Insert 模式,再把这两行改成:

User 你的 Mac 用户名

Group staff

按 esc 键,在输入双引号内的字符“:qw”和回车保存推出,重启 Apache 服务。以后升级 WordPress 的时候,主机填 127.0.0.1,用户名填你的 Mac 用户名,密码填写 Mac 的用户密码即可顺利升级。

0 0

国内专业的主题开发团队倾力打造,在线购买后即可下载!

主题商店

主题猫WP建站,累计帮助1000+客户企业成功建站,为草根创业提供助力!

立刻开启你的建站之旅
QQ在线客服

服务热线

wordpress建站咨询